/* MODEL.H */

#ifndef MODEL_H
#define MODEL_H

#include <windows.h>
#include <windowsx.h>
#include <commctrl.h>
#include <string.h>
#include <sql.h>
#include <sqlext.h>

#include "customers.h"
#include "items.h"
#include "sales.h"
#include "vendors.h"

#define MAXBUFLEN           256         //display buffer size

BOOL FAR PASCAL Init_ODBCEnv();
BOOL FAR PASCAL FreeSQLEnvironment();
BOOL FAR PASCAL ConnectDatabase(HWND hWnd);

extern int Create_PropertySheet(HWND hWndOwner, HINSTANCE ownerInst);
extern void FAR PASCAL DisplayError(SQLRETURN nResult, HWND hWnd, SWORD fHandleType, SQLHANDLE handle);

BOOL _stdcall ListItemDlg(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);

SQLHENV     henv;                   /* Environment Handle */
SQLHDBC   hdbc;           	    /* hdbc */


#endif	/* MODEL_H */

